const MainLayout = () => import('Components/layout/MainLayout.vue')
export default [
  // {
  //   path: '/welcome',
  //   name: 'welcome',
  //   meta: { title: '工作台' },
  //   component: () => import('Views/index.vue'),
  // },
  {
    path: '/',
    name: 'Dashboard',
    icon: 'home',
    show: true,
    meta: { title: '工作台' },
    component: MainLayout,
    // redirect: '/welcome',
    children: [{ path: 'dashboard', component: () => import('Views/dashboard/index.vue') }],
  },

  {
    path: '/account',
    name: 'Account',
    icon: '',
    show: true,
    meta: { title: '账号' },
    component: MainLayout,
    redirect: '/account/index',
    children: [
      { path: 'index', component: () => import('Views/account/index.vue') },
    ],
  },
  {
    path: '/resources',
    name: 'Resources',
    icon: '',
    show: true,
    meta: { title: '资源' },
    component: MainLayout,
    redirect: '/resources/index',
    children: [
      { path: 'index', component: () => import('Views/resources/index.vue') },
    ],
  },
  {
    path: '/overSea',
    name: 'OverSea',
    icon: 'overSea',
    show: true,
    meta: { title: '出海服务' },
    component: MainLayout,
    redirect: '/overSea/index',
    children: [
      { path: 'index', component: () => import('Views/overSea/index.vue') },
      { path: 'add', component: () => import('Views/brand/add.vue') },
      { path: 'edit', component: () => import('Views/brand/add.vue') },
      { path: 'detail', component: () => import('Views/brand/add.vue') },
    ],
  },

  {
    path: '/product',
    name: 'Product',
    icon: 'product',
    show: true,
    meta: { title: '产品' },
    component: MainLayout,
    redirect: '/product/index',
    children: [
      { path: 'index', component: () => import('Views/product/index.vue') },
      { path: 'add', component: () => import('Views/product/add.vue') },
      { path: 'edit', component: () => import('Views/product/add.vue') },
      { path: 'detail', component: () => import('Views/product/add.vue') },
    ],
  },
  {
    path: '/brand',
    name: 'Brand',
    icon: 'brand',
    show: true,
    meta: { title: '品牌' },
    component: MainLayout,
    redirect: '/brand/index',
    children: [
      { path: 'index', component: () => import('Views/brand/index.vue') },
      { path: 'add', component: () => import('Views/brand/add.vue') },
      { path: 'edit', component: () => import('Views/brand/add.vue') },
      { path: 'detail', component: () => import('Views/brand/add.vue') },
    ],
  },
  {
    path: '/order',
    name: 'Order',
    icon: 'order',
    show: true,
    meta: { title: '订单' },
    component: MainLayout,
    redirect: '/order/index',
    children: [
      { path: 'index', component: () => import('Views/order/index.vue') },
      { path: 'detail', component: () => import('Views/order/detail.vue') },
    ],
  },
  // {
  //   path: '/message',
  //   name: 'Message',
  //   icon: 'message',
  //   show: true,
  //   meta: { title: '给我留言' },
  //   component: MainLayout,
  //   redirect: '/message/index',
  //   children: [{ path: 'index', component: () => import('Views/message/index.vue') }],
  // },
  {
    path: '/settings',
    name: 'Settings',
    icon: 'person',
    show: true,
    meta: { title: '设置' },
    component: MainLayout,
    redirect: '/settings/index',
    children: [{ path: 'index', component: () => import('Views/settings/index.vue') }],
  },
  {
    path: '/login',
    meta: { title: '登录' },
    component: () => import('Views/login/index.vue'),
  },
  {
    path: '/register',
    meta: { title: '注册' },
    component: () => import('Views/register/new.vue'),
  },
  {
    path: '/forgetPwd',
    meta: { title: '忘记密码' },
    component: () => import('Views/forgetPwd/index.vue'),
  },
  {
    path: '/accountStatus',
    meta: { title: '账号状态' },
    // component: () => import('Views/accountStatus/index.vue'),
    // redirect: '/accountStatus/',
    children: [
      { path: '', component: () => import('Views/accountStatus/index.vue') },
      { path: 'fail', component: () => import('Views/accountStatus/fail.vue') },
    ],
  },
  {
    path: '/agreement',
    meta: { title: '用户协议' },
    component: () => import('Views/agreement/index.vue'),
  },
  {
    path: '/404',
    component: () => import('Views/404.vue'),
  },
  // {
  //   path: '*',
  //   redirect: '/404',
  // },
]
